Web Apps - List Slot Differences Slot
Beschrijving voor Het verschil in configuratie-instellingen tussen twee web-app-sleuven ophalen.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/slots/{slot}/slotsdiffs?api-version=2025-05-01
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
name
|
path | True |
string |
Naam van de app. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resourcegroep. De naam is hoofdletterongevoelig. |
|
slot
|
path | True |
string |
Naam van de implementatiesite. Standaard retourneert deze API de productiesleuf. |
|
subscription
|
path | True |
string (uuid) |
De id van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Vereist | Type | Description |
|---|---|---|---|
| preserveVnet | True |
boolean |
|
| targetSlot | True |
string |
Bestemmingsimplementatiesleuf tijdens swapoperatie. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-bewerking is voltooid. |
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Definities
| Name | Description |
|---|---|
|
Csm |
Parameters voor implementatiesleuf. |
|
Default |
Foutreactie van App Service. |
|
Default |
Foutmodel. |
|
Default |
Gedetailleerde fouten. |
|
Slot |
Een instellingsverschil tussen twee implementatiesleuven van een app. |
|
Slot |
Verzameling van slotverschillen. |
CsmSlotEntity
Parameters voor implementatiesleuf.
| Name | Type | Description |
|---|---|---|
| preserveVnet |
boolean |
|
| targetSlot |
string |
Bestemmingsimplementatiesleuf tijdens swapoperatie. |
DefaultErrorResponse
Foutreactie van App Service.
| Name | Type | Description |
|---|---|---|
| error |
Foutmodel. |
DefaultErrorResponseError
Foutmodel.
| Name | Type | Description |
|---|---|---|
| code |
string |
Gestandaardiseerde tekenreeks om de fout programmatisch te identificeren. |
| details |
Gedetailleerde fouten. |
|
| innererror |
string |
Meer informatie om fouten op te sporen. |
| message |
string |
Gedetailleerde foutbeschrijving en foutopsporingsinformatie. |
| target |
string |
Gedetailleerde foutbeschrijving en foutopsporingsinformatie. |
DefaultErrorResponseErrorDetailsItem
Gedetailleerde fouten.
| Name | Type | Description |
|---|---|---|
| code |
string |
Gestandaardiseerde tekenreeks om de fout programmatisch te identificeren. |
| message |
string |
Gedetailleerde foutbeschrijving en foutopsporingsinformatie. |
| target |
string |
Gedetailleerde foutbeschrijving en foutopsporingsinformatie. |
SlotDifference
Een instellingsverschil tussen twee implementatiesleuven van een app.
| Name | Type | Description |
|---|---|---|
| id |
string |
Resource-id. |
| kind |
string |
Soort resource. |
| name |
string |
Naam van de bron. |
| properties.description |
string |
Beschrijving van het instellingsverschil. |
| properties.diffRule |
string |
Regel die beschrijft hoe het verschil in instelling moet worden verwerkt tijdens een sleufwissel. |
| properties.level |
string |
Niveau van het verschil: Informatie, Waarschuwing of Fout. |
| properties.settingName |
string |
Naam van de instelling. |
| properties.settingType |
string |
Het type instelling: General, AppSetting of ConnectionString. |
| properties.valueInCurrentSlot |
string |
Waarde van de instelling in het huidige slot. |
| properties.valueInTargetSlot |
string |
Waarde van de instelling in de doelsleuf. |
| type |
string |
Type bron |
SlotDifferenceCollection
Verzameling van slotverschillen.
| Name | Type | Description |
|---|---|---|
| nextLink |
string (uri) |
De koppeling naar de volgende pagina met items |
| value |
De SlotDifference-items op deze pagina |